# Chapter 3: Vector Autoregressive Methods

Previously, we have introduced the classical approaches in forecasting single/univariate time series like the 
Autoregressive-Moving-Average (ARIMA) model and the simple linear regression model. We learned that stationarity 
is a condition that is necessary when using ARIMA while this need not be imposed when using the linear regression model. 
In this notebook, we extend the forecasting problem to a more generalized framework where we deal with 
**multivariate time series**--time series which has more than one time-dependent variable. More specifically, 
we introduce **vector autoregressive (VAR)** models and show how they can be used in forecasting mutivariate time series. 

The [notebook](03_VectorAutoregressiveMethods.ipynb) is outlined as follows: 
* Multivariate Time Series model
    * Motivation
    * Univariate VS Multivariate Time Series
    * Examples
    * Foundations
* Vector Autoregressive (VAR) Models
    * VAR(1) model
    * VAR(*p*) model
    * Choosing the order *p*
* Building a VAR model
* Structural Analysis
    * Impulse Response Function
    * Forecast Error Variance Decomposition 
* Takeaways
* References