# Chapter 4: Granger Causality Test

In the first three chapters, we discussed the classical methods for both univariate and multivariate time series forecasting. We now introduce the notion of causality and its implications on time series analysis in general. We also describe a test for the linear VAR model discussed in the previous chapter.

The [notebook](04_GrangerCausality.ipynb) is outlined as follows: 
* Notations 
* Definitions 
* Assumptions 
* Testing for Granger Causality 
  * Ipo Dam Dataset 
    * Causality between Rainfall and Ipo Dam Water Level 
    * Causality between NIA Release Flow and Ipo Dam Water Level 
  * La Mesa Dam Dataset 
    * Causality between Rainfall and La Mesa Dam Water Level 
    * Causality between NIA Release Flow and La Mesa Dam Water Level 
  * Jena Climate Data 
    * Causality between Pressure and Temperature 
* Summary 
* References
